### Function

# Gimp rgba_set

unstable since: 3.0

#### Declaration [src]

    void
    gimp_rgba_set (
      GimpRGB* rgba,
      gdouble red,
      gdouble green,
      gdouble blue,
      gdouble alpha
    )

#### Description [src]

Sets the red, green, blue and alpha components of `rgb`. The values should be between 0.0 and 1.0 but there is no check to enforce this and the values are set exactly as they are passed in.

Available since: 3.0

#### Parameters

`rgba`

  Type: `GimpRGB`

  A `GimpRGB` struct.

  The data is owned by the caller of the function.

`red`

  Type: `gdouble`

  The red component.

`green`

  Type: `gdouble`

  The green component.

`blue`

  Type: `gdouble`

  The blue component.

`alpha`

  Type: `gdouble`

  The alpha component.